# Digital-Thought, Common Python Library
## Version: v1.0.0

My standard python libs for doing things.


### Installation Instructions

To install the most recent release from PyPI:<br>
```shell script
pip install digital-thought-commons
```
***
## Features
[Caching](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/cache/README.md): To cache lookups to either SQLite or Elasticsearch to speed up response times when making calls to internet API services<br>
[Converters](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/converters/README.md): Handy utilities to convert JSON, SQL and CSV to various formats<br>
[Date/Time Utilities](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/date_utils/README.md): Utilities for working with Dates and Times<br>
[Elasticsearch](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/elasticsearch/README.md): Custom connector for working with Elasticsearch<br>
[Enrichers](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/enrichers/README.md): Information enrichment utilities.  To enrich Domain and IP Addresses with information from internet lookups<br>
[Google](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/google/README.md): Utilities to work with Google services (e.g. Google Workspace)<br>
[Grok](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/grok/README.md): GROK Pattern processing and utilities<br>
[HTML Utilities](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/html_utils/README.md): Utilities to work with HTML<br>
[Internet Utilities](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/internet/README.md): Custom utilities for internet (e.g. scrappers, TOR requester)<br>
[Logging](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/logging/README.md): Logging configuration and setup.  Logging used throughout all Commons Libraries<br>
[Microsoft](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/microsoft/README.md): Utilities to work with Microsoft services and applications (e.g. Excel)<br>
[REST API Lookups](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/restful_lookups/README.md): Libraries to assist with performing lookups to various internet based API services.  With [Caching](digital_thought_commons/cache/README.md) facility enabled<br>
[String Utilities](https://github.com/Digital-Thought/commons/blob/v0.01.00-beta15/digital_thought_commons/string_utils/README.md): Various utilities to work with Strings

***
## Licence
This work is made freely available under the Version 3, GNU AFFERO GENERAL PUBLIC LICENSE.

***
## Contact, Questions and Issues
If you have any questions, please email [development@digital-thought.org](mailto:development@digital-thought.org?subject=[Question:digital-thought-commons])<br>
If you encounter any issues in the use of this library, please log them via https://github.com/Digital-Thought/commons/issues" <br>
If you would like to contribute to this library, please email [development@digital-thought.org](mailto:development@digital-thought.org?subject=[Question:digital-thought-commons])